Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.canvas
Interface CanvasListener

    public interface CanvasListener

The one method in this interface is called by a `Canvas` when its state has changed.

Method Summary
`void` | `canvasChanged(Canvas canvas, CanvasState newState)` This method is called by a `Canvas` when its state has changed.

Method Detail

### canvasChanged

    void canvasChanged(Canvas canvas,
                       CanvasState newState)

  This method is called by a `Canvas` when its state has changed.

  Parameters:
    `canvas` - The Canvas whose state has changed
    `newState` - The state of the canvas (for convenience)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.